=== debian/changelog ===
botan3 (3.7.1+dfsg-2) unstable; urgency=medium

  * Build depend on ca-certificates.
  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Mar 2025 16:53:54 +0100

botan3 (3.7.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Make botan library depend on ca-certificates.
  * Library transition from libbotan-3-6 to libbotan-3-7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 07 Mar 2025 12:57:39 +0100

botan3 (3.6.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-3-5 to libbotan-3-6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Nov 2024 17:40:11 +0100

botan3 (3.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release:
    - fixes CVE-2024-34702: Denial of Service Due to Excessive Name
      Constraints,
    - fixes CVE-2024-39312: Authorization Error due to Name Constraint
      Decoding Bug.
  * Library transition from libbotan-3-4 to libbotan-3-5 .
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 14 Jul 2024 11:24:20 +0200

botan3 (3.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-3-3 to libbotan-3-4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 12 Apr 2024 19:37:09 +0200

botan3 (3.3.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-3-2 to libbotan-3-3 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Feb 2024 22:36:42 +0100

botan3 (3.2.0+dfsg-1) experimental; urgency=medium

  * Initial upload (closes: #1055762).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 10 Nov 2023 20:04:33 +0100
