=== debian/control ===
Source: botan3
Section: libs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ca-certificates,
 dh-python,
 libbz2-dev,
 liblzma-dev,
 libsqlite3-dev,
 libtspi-dev,
 zlib1g-dev,
 python3:any,
 python3-docutils,
 ca-certificates,
Build-Depends-Indep:
 python3-sphinx,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://botan.randombit.net/

Package: botan
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: botan (<< 3-1~)
Replaces: botan (<< 3-1~)
Description: multiplatform crypto library (3.x version)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the 3.x version of Botan.

Package: libbotan-3-7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ca-certificates, ${misc:Depends}, ${shlibs:Depends}
Description: multiplatform crypto library (3.x version)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the 3.x version of Botan.

Package: libbotan-3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libbotan-3-7 (= ${binary:Version})
Description: multiplatform crypto library (3.x version)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the 3.x version of Botan.

Package: libbotan-3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, sphinx-doc
Description: multiplatform crypto library (3.x version)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the 3.x version of Botan.

Package: python3-botan
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, libbotan-3-7 (= ${binary:Version})
Breaks: python3-botan (<< 3-1~)
Replaces: python3-botan (<< 3-1~)
Description: multiplatform crypto library (3.x version), Python3 module
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the Botan (3.x version) module for Python 3.x .
