## botan3 3.8.1+dfsg

=== debian/changelog ===
botan3 (3.8.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-3-7 to libbotan-3-8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 May 2025 18:23:23 +0200
