=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  .
  This package contains the 3.x version of Botan.
 
-Package: libbotan-3-7
+Package: libbotan-3-8
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -50,7 +50,7 @@
 Package: libbotan-3-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbotan-3-7 (= ${binary:Version})
+Depends: ${misc:Depends}, libbotan-3-8 (= ${binary:Version})
 Description: multiplatform crypto library (3.x version)
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and
@@ -75,7 +75,7 @@
 Package: python3-botan
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, libbotan-3-7 (= ${binary:Version})
+Depends: ${misc:Depends}, ${python3:Depends}, libbotan-3-8 (= ${binary:Version})
 Breaks: python3-botan (<< 3-1~)
 Replaces: python3-botan (<< 3-1~)
 Description: multiplatform crypto library (3.x version), Python3 module
