## botan3 3.9.0+dfsg

=== src/scripts/ci/cmake_tests/CMakeLists.txt ===
--- 
+++ 
@@ -18,9 +18,9 @@
   message(FATAL_ERROR "Test #1 failed: Failed to find Botan with any version")
 endif()
 
-if(TARGET Botan::Botan)
+if(TARGET botan::botan)
   add_executable(botan_version_test main.cpp)
-  target_link_libraries(botan_version_test Botan::Botan)
+  target_link_libraries(botan_version_test botan::botan)
 
   if(WIN32)
     add_custom_command(TARGET botan_version_test POST_BUILD
@@ -37,9 +37,9 @@
 
 # test #2: link statically
 find_package(Botan REQUIRED)
-if(TARGET Botan::Botan-static)
+if(TARGET botan::botan-static)
   add_executable(botan_version_test_static main.cpp)
-  target_link_libraries(botan_version_test_static Botan::Botan-static)
+  target_link_libraries(botan_version_test_static botan::botan-static)
 
   add_test(NAME "Using static library"
            COMMAND botan_version_test_static
