=== debian/changelog ===
botan3 (3.9.0+dfsg-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Let libbotan-3-dev depend on the dev packages that are in its pkgconf.
    (closes: #1114813)

 -- Bastian Germann <bage@debian.org>  Thu, 11 Sep 2025 17:57:35 +0200

botan3 (3.9.0+dfsg-2) experimental; urgency=medium

  * Do not try to disable NEON on armel and armhf, it's not needed anymore.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Aug 2025 16:57:51 +0200

botan3 (3.9.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-3-8 to libbotan-3-9 .
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Aug 2025 15:01:29 +0200
