=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  ca-certificates,
 Build-Depends-Indep:
  python3-sphinx,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://botan.randombit.net/
 
@@ -34,7 +34,7 @@
  .
  This package contains the 3.x version of Botan.
 
-Package: libbotan-3-8
+Package: libbotan-3-9
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -50,7 +50,12 @@
 Package: libbotan-3-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbotan-3-8 (= ${binary:Version})
+Depends: ${misc:Depends}, libbotan-3-9 (= ${binary:Version}),
+ libbz2-dev,
+ liblzma-dev,
+ libsqlite3-dev,
+ libtspi-dev,
+ zlib1g-dev,
 Description: multiplatform crypto library (3.x version)
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and
@@ -75,7 +80,7 @@
 Package: python3-botan
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, libbotan-3-8 (= ${binary:Version})
+Depends: ${misc:Depends}, ${python3:Depends}, libbotan-3-9 (= ${binary:Version})
 Breaks: python3-botan (<< 3-1~)
 Replaces: python3-botan (<< 3-1~)
 Description: multiplatform crypto library (3.x version), Python3 module
