=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,6 @@
 		$(CROSS_FLAGS) \
 		--prefix=/usr/ \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		$(if $(filter $(DEB_HOST_ARCH), armel armhf),--disable-neon) \
 		--with-rst2man \
 		--with-bzip2 \
 		--with-lzma \
