## botan3 3.10.0%2Bdfsg

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i
Owner: randombit
Project: botan
Pgpsigurlmangle: s/$/.asc/
