=== debian/changelog ===
botan3 (3.10.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-3-9 to libbotan-3-10 .
  * Remove now redundant Rules-Requires-Root value.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 07 Nov 2025 17:22:38 +0100
