=== debian/control ===
--- 
+++ 
@@ -13,11 +13,9 @@
  zlib1g-dev,
  python3:any,
  python3-docutils,
- ca-certificates,
 Build-Depends-Indep:
  python3-sphinx,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://botan.randombit.net/
 
 Package: botan
@@ -34,7 +32,7 @@
  .
  This package contains the 3.x version of Botan.
 
-Package: libbotan-3-9
+Package: libbotan-3-10
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -50,7 +48,7 @@
 Package: libbotan-3-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbotan-3-9 (= ${binary:Version}),
+Depends: ${misc:Depends}, libbotan-3-10 (= ${binary:Version}),
  libbz2-dev,
  liblzma-dev,
  libsqlite3-dev,
@@ -80,7 +78,7 @@
 Package: python3-botan
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, libbotan-3-9 (= ${binary:Version})
+Depends: ${misc:Depends}, ${python3:Depends}, libbotan-3-10 (= ${binary:Version})
 Breaks: python3-botan (<< 3-1~)
 Replaces: python3-botan (<< 3-1~)
 Description: multiplatform crypto library (3.x version), Python3 module
